## Find Export

Returns a specific data export for the authenticated merchant by its UID.
The user must have permission to view the data type associated with the export.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/find-export HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  export_id: string,
}
```

Returns: object

## Request arguments

### `export_id` (string)

**Required**. The unique identifier of the export (e.g., exp_...)

## Response attributes

### `export_id` (string)

**Always present**. The unique identifier of the export.

### `type` (string)

**Always present**. The type of data exported.

Possible values:

- `PAYMENTS`
- `PAYOUTS`
- `CONTACTS`
- `PAYMENTS_BY_CONTACT`
- `PAYOUTS_BY_CONTACT`

### `format` (string)

**Always present**. The file format of the export.

Possible values:

- `csv`

### `status` (string)

**Always present**. The current status of the export.

Possible values:

- `PENDING`
- `PROCESSING`
- `COMPLETED`
- `FAILED`

### `filters` (object)

**Always present**. The filters applied to the export.

### `download_url` (string)

_Nullable_. The URL to download the exported file (available if status is completed).

### `failure_message` (string)

_Nullable_. The error message if the export failed.

### `created_at` (number)

**Always present**. The timestamp when the export was requested.

### `requester_id` (string)

**Always present**. The unique identifier of the user who requested the export.

### `requester_email` (string)

**Always present**. The email address of the user who requested the export.

## Errors specific to this endpoint

### `NOT_FOUND`

The export was not found or you don't have permission to view it.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
